/******************************************************************************************
	CRTEST PS   (c) 1999-2001 ISL

	mapview.h:			Map Viewer
******************************************************************************************/

#ifndef _MAPVIEW_H_
#define _MAPVIEW_H_

	#ifndef __BFF_LOAD_H__
	#include "bff_load.h"
	#endif
	#ifndef _MAPDRAW_H_
	#include "map_draw.h"
	#endif


// For use by the other test programs... (or indeed, other bits of the game, really)
// The cycle & draw routines do everything except for "charactr" and "camera"
// (ie - enemies,platforms,debris,texanim,puzzles,scenics, plus the map)
void mapviewLoadMap(char *leafname);
void mapviewReleaseMap();
void mapviewBasicMapCycle();
void mapviewBasicFmaMapCycle();
void mapviewBasicMapDraw();


// The Map Viewer Proper

void mapviewStart(char *leafname);

extern TextureBankType	*mapview_textures;
extern BFF_Header *mapview_level_bff;
extern FMA_WORLD *mapview_fma_world;

extern	int	mapview_camera_range;
// CPW: extern	int	camHeight;
extern	ACTOR		*testchar_actor;


#endif
